Page 1 of 1

Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 10:46 am
by Fogbow_Foggy
I did everything according to instructions. I have upgraded my phpBB installation many times successfully.

I upgraded the files and database using Automatic Update, got green confirmation messages for everything working.

Now I'm getting a 500 error when I try to log in. My whole board is offline. My users are going to freak.

Any help would be appreciated!

https://thefogbow.com/forum

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 10:54 am
by Fogbow_Foggy
Unusual:

Active topics link works: https://thefogbow.com/forum/search.php? ... ive_topics

But Board Index does not: https://thefogbow.com/forum/index.php

I have no idea how that's even possible.

My ACP works, says my installation is 5.2.7 and up to date. There are no entries in my Error log and haven't been for years.

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 10:54 am
by kamaleon
I got a similar problem.

What I would do is upload the files again until the step where you have to remove the install folder.

Before doing so, disable all extensions, rename the install folder to something else and try to login.

If it works, then you need to figure out what extension is causing the problem.

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 11:00 am
by david63
Fogbow_Foggy wrote:
Sun May 12, 2019 10:54 am
But Board Index does not: https://thefogbow.com/forum/index.php
Works just fine for me. Try clearing your browser cache.
Fogbow_Foggy wrote:
Sun May 12, 2019 10:54 am
My ACP works, says my installation is 5.2.7 and up to date.
I hope that is a typo and you meant 3.2.7

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 11:12 am
by Fogbow_Foggy
OK, I disabled all extensions and the board seems to be working properly.

But I use those extensions. This is most unfortunate. :|

Also, on Chrome it won't allow me to log in as Administrator. On Firefox that does seem to work.

Yes, 5.2.7 was a tyop. I eagerly await that version though. :mrgreen:

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Sun May 12, 2019 11:52 am
by david63
Fogbow_Foggy wrote:
Sun May 12, 2019 11:12 am
OK, I disabled all extensions and the board seems to be working properly.
Then re-enable them one at a time until you find the problem
Fogbow_Foggy wrote:
Sun May 12, 2019 11:12 am
on Chrome it won't allow me to log in as Administrator. On Firefox that does seem to work.
That is not unheard of with Chrome - depending on which version of Chrome you are using there is an array of reported issues.
Fogbow_Foggy wrote:
Sun May 12, 2019 11:12 am
Yes, 5.2.7 was a tyop. I eagerly await that version though.
Not in my lifetime :(

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Mon May 13, 2019 11:10 am
by omeroon
Fogbow_Foggy wrote:
Sun May 12, 2019 11:12 am
OK, I disabled all extensions and the board seems to be working properly.

But I use those extensions. This is most unfortunate. :|
Enable them one by one while clearing the cache in between and check if all still works. Do not log out of the backend but open the forum in a separate window (so you can disable any problematic extensions). If you find the extension that causes the 500 error, check if you still have the latest version.

Re: Error updating from 3.2.5 to 3.2.7, please help!

Posted: Mon May 13, 2019 11:56 am
by david63
omeroon wrote:
Mon May 13, 2019 11:10 am
Enable them one by one while clearing the cache in between
There is no need to clear the cache after enabling an extension as the last part of the enabling routine is to purge the cache.